//############################################################################//
//             Copyright (c) 2006, by Deluxe-Menu.com
//             Deluxe Tuner script
//             http://deluxe-menu.com
//             E-mail: support@deluxe-menu.com
//############################################################################//

var dm_tunerParams = [

  ['Common','section','icon_common','1'],
    ['menuIdentifier', 'string',  'cssMenu', 'Menu identifier'],
    ['ie6Support',     'boolean', '1',       'Add code for IE6 supporting'],
	
    ['','separator','',''],
  
    ['isHorizontal',  'boolean',    '1', 'Menu orientation: 0 - vertical, 1 - horizontal.'],
    ['smColumns',     'integer-nn', '1', 'Number of columns in submenus.'],
    ['smOrientation', 'boolean',    '0', 'Orientation of submenu: false - vertical (default), true - horizontal.>>Note: for horizontal submenu is necessary to set smWidth by hand'],
    ['dmRTL',         'boolean',    '0', 'Set this parameter to 1 if you\'re using right-to-left direction of html page (dir=rtl).>>Default is 0.>>Use also subMenuAlign parameter for right-to-left languages.'],

    ['','separator','',''],

    ['pressedItem', 'integer', '-2', 'The toggle mode.>>Sets an index of an item that will be highlighted by default.>>-2 - the toggle mode is disabled;>>-1 - the toggle mode is enabled, but no items highlighted by default;>>0,1,2,3,... - index of highlighted item in a top-menu.'],


  ['Dimensions','section','icon_dimensions',''],
    ['menuWidth',  'integer-percent', '',  'Width of the menu in px, % or other units.>>It\'s recommended to assign a precise value to this parameter for a correct menu positioning in different browsers.'],
    ['menuHeight', 'integer-percent', '',  'Height of the menu in px.>>It\'s recommended to write \'px\' at the end of value.'],
    ['smWidth',    'integer-percent', '',  'Width of all submenus.'],
    ['smHeight',   'integer-percent', '',  'Height of all submenus.'],
    

  ['Positioning','section','icon_positioning',''],
    ['absolutePos', 'boolean',        '0','Sets absolute menu position.>>0 - static positioning (for example, menu can be placed inside a table cell)>>1 - absolute positioning (menu uses absolute coordinates on page).'],
    ['posX',        'integer-percent','0','X coordinate of top-left menu corner. Works if absolutePos is 1.'],
    ['posY',        'integer-percent','0','Y coordinate of top-left menu corner. Works if absolutePos is 1.'],

    ['','separator','',''],

    ['subMenuAlign',  'set', 'left,center,right,pleft,pcenter,pright', 'Submenus horizontal alignment.>>left,center,right - alignment relative to the parent item;>>pleft,pright,pcenter - alignment relative to the parent submenu.'],
    ['subMenuVAlign', 'set', 'top,center,bottom,ptop,pcenter,pbottom', 'Submenus vertical alignment.>>top,center,bottom - alignment relative to the parent item;>>pbottom,pcenter,ptop - alignment relative to the parent submenu.'],
    //['topDX', 'integer', '0',  'X offset for 1st-level submenus.'],
    //['topDY', 'integer', '0',  'Y offset for 1st-level submenus.'],
    //['DX',    'integer', '0', 'X offset for submenus.'],
    //['DY',    'integer', '0',  'Y offset for submenus.'],


  ['Font','section','icon_font',''],
    ['fontStyle',         'font-array',  ['normal 11px Trebuchet MS, Tahoma, Arial', 'normal 11px Trebuchet MS, Tahoma, Arial'] ,    'Normal and mouseover font style.'],
    ['fontColor',         'color-array', ['#000000','#FFFFFF'], 'Normal and mouseover font colors.'],
    ['fontDecoration',    'set-array',   ['none,underline,line-through,overline','none,underline,line-through,overline'], 'Normal and mouseover font decorations.'],
    ['fontColorDisabled', 'color',       '#AAAAAA', 'Font color for a disabled item.>>The item is disabled when its target is \'_\''],
	['textShadow',        '',			 '', 'Text shadow.>>Format: <Color> <X coordianate> <Y Coordinate> <blur radius>.>>Example: #000000 0 1px 1px'],

  ['Appearance','section','icon_appearance',''],
    ['menuBackColor',  'color', '#FFFFFF', 'Background color of the menu and all submenus.'],
    ['menuBackImage',  'image', '', 'Background image for the menu and all the submenus.'],
    ['menuBackRepeat', 'set',   'repeat,repeat-x,repeat-y,no-repeat', 'Repeating of background of the menu and all the submenus.'],
	
    ['','separator','',''],

    ['menuBorderColor',  'color',      '#999999',  'Border color of the menu and all the submenus.'],
    ['menuBorderWidth',  'integer-percent', '1',        'Border width for the menu and all the submenus.'],
    ['menuBorderStyle',  'set',        'solid,none,double,dotted,dashed,groove,ridge', 'Border style for the menu and all the submenus.'],
	['menuBorderRadius', 'integer-percent', '', 'Menu border Radius (only for CSS3 compatibility browser).>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],

    ['','separator','',''],
	['smFrameImage',  'image', '', 'Composite frame image for all the submenus.'],
	['smFrameWidth',  'integer-nn', '0', 'Frame width for all the submenus.'],
	
	

  ['Item Appearance','section','icon_item_appearance',''],
    ['itemBackColor', 'color-array', ['#FFFFFF','#4792E6'], 'Normal and mouseover background colors of items.'],
    ['itemBackImage', 'image-array', ['',''], 'Normal and mouseover background images of items.'],
	['itemSlideBack', 'integer-nn', 0, 'Sliding background shift'],
    ['itemShadow',   'integer',    '', 'Length of item a shadow.'],

    ['','separator','',''],

    ['itemBorderWidth', 'integer-percent',  '0', 'Width of items\' border.'],
    ['itemBorderColor', 'color-array', ['#6655FF','#665500'], 'Normal and mouseover border colors.'],
    ['itemBorderStyle', 'set-array',   ['none,solid,double,dotted,dashed,groove,ridge','none,solid,double,dotted,dashed,groove,ridge'], 'Normal and mouseover styles of items\' border.'],
	['itemBorderRadius', 'integer-percent', '', 'Item border Radius (only for CSS3 compatibility browser).>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],
	
    ['','separator','',''],
    
    ['itemSpacing',   'integer-nn',      '1',   'Item spacing.'],
    ['itemPadding',   'integer-percent', '3px', 'Item padding.>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],

    ['','separator','',''],

    ['itemAlignTop',  'set', 'left,center,right', 'Text alignment for top items.'],
    ['itemAlign',     'set', 'left,center,right', 'Text alignment for submenu items.'],

    ['','separator','',''],

    ['itemCursor',  'set',     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize', 'Items cursor.'],

  ['Item Icons','section','icon_icons',''],
    ['iconTopWidth',  'integer-nn', '24', 'Width of icons for top-level items.'],
    ['iconTopHeight', 'integer-nn', '24', 'Height of icons for top-level items.'],
    ['iconWidth',     'integer-nn', '16', 'Width of icons for submenu items.'],
    ['iconHeight',    'integer-nn', '16', 'Height of icons for submenu items.'],

    ['','separator','',''],

    ['arrowImageMain', 'image-array', ['',''], 'Normal and mouseover arrow images for top-level items.'],
    ['arrowWidth',     'integer-nn',  '9', 'Width of arrow icons. Need for correct item Appearance'],
    //['arrowHeight',    'integer-nn',  '9', 'Height of arrow icons.'],
    ['arrowImageSub',  'image-array', ['',''], 'Normal and mouseover arrow images for submenu items.'],
    ['arrowWidthSub',  'integer-nn',  '0', 'Width of arrow icons for submenu items. >>if zero then equal arrowWidth.'],
    //['arrowHeightSub', 'integer-nn',  '0', 'Height of arrow icons for submenu items. >>if zero then equal arrowHeight.'],

  ['Separators','section','icon_separators',''],
    ['separatorImage',     'image',           '',                  'Separator\'s image.'],
	['separatorColor',     'color',           '',                  'Separator\'s color.'],
    ['separatorWidth',     'integer-percent', '100%',              'Width of a horizontal separator (in px, %).'],
    ['separatorHeight',    'integer-percent', '3',                 'Height of a horizontal separator (in px).'],
    ['separatorAlignment', 'set',             'left,center,right', 'Alignment of a horizontal separator.'],

    ['','separator','',''],

    ['separatorVImage',  'image',           '',     'Vertical separator\'s image.'],
	['separatorVColor',  'color',           '',     'Vertical Separator\'s color.'],
    ['separatorVWidth',  'integer-percent', '3',    'Width of a vertical separator (in px).'],
    ['separatorVHeight', 'integer-percent', '100%', 'Height of a vertical separator (in px, %).'],
    
    ['','separator','',''],

    ['separatorPadding',  'integer-percent', '0px', 'Separators\' padding.>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],


  ['Transitional Effects & Filters', 'section', 'icon_effects',''],
    ['transparency',   'percent', '100', 'Transparency of submenu in %.'],
	['transition',     'list', 'No effect:-1,Fading:100',  'Index of a transitional effect. Now support only (100-fade).>> To turn off transitional effects set it to \'-1\'.'],
//	['itemTransition', 'string', '', 'Item transition'],
	['itemTransition', 'list', 'None effect:,Default:all', 'Item transition type'],
	['transDuration',  'integer', '300', 'Duration of a transitional effects (in ms).'],
	

    //['','separator','',''],

    ['shadowLen',   'integer',    '0',       'Length of a shadow. >> Note: Shadow don\'t work for IE.'],
    ['shadowColor', 'color',      '#000000', 'Shadow color.'],
    ['shadowTop',   'boolean',    '0',       'A shadow for a top-menu: 0 - disabled, 1 - enabled.'],



  ['CSS Support (CSS-based Menu)', 'section', 'icon_css_mode',''],
    ['cssSubmenu',  'string',  '',  'CSS class name for submenus.>>Note: CSS class won\'t apply in Deluxe Tuner, you can only set class names here. You should create the page with CSS styles and test the menu within this page.'],
    ['cssItem',     'string-array',  ['',''],  'Normal and mouseover CSS class names for items.>>Note: CSS class won\'t apply in Deluxe Tuner, you can only set class names here. You should create the page with CSS styles and test the menu within this page.'],
    ['cssItemText', 'string-array',  ['',''],  'Normal and mouseover CSS class names for a text of items.>>Note: CSS class won\'t apply in Deluxe Tuner, you can only set class names here. You should create the page with CSS styles and test the menu within this page.'],

  ['Floatable Menu','section','icon_floatable',''],
    ['floatable',      'integer-nn', '0', 'Creates a floatable menu - when the page is scrolled the menu remains visible.>>0 - disabled, 1 - enabled'],

  ['Advanced Features','section','icon_special',''],
    ['saveNavigationPath', 'boolean', '1', 'The menu keeps items highlighted during menu navigation.>>0 - disabled, 1 - enabled (default).>>Note: not supported for IE6'],
    //['noWrap',             'boolean', '1', 'A wordwrap for items\' text.>>0 - disabled, 1 - enabled (default).'],
    ['itemTarget',  'set-add', '_self,_blank,_top,_parent,_search', 'Default target for all menu items.>>You can also set a frame name.'],

    ['', 'separator', '', ''],
	//['popupMode',          'boolean', 0,  'Popup mode.>>Create right click menu for your pages.>>You can assign such a menu to any event of an object: on mouseover, on click, on double click, instead of a standard menu of a browser, etc.>>To enable Popup mode set this parameter to 1.'],

    ['pathPrefix_img',   'string',  '', 'Path prefix for menu images.>>This string will be added for all image paths in the menu.'],
    ['pathPrefix_link',  'string',  '', 'Path prefix for menu links.>>This string will be added for all links in the menu.'],

    //['statusString', 'set-add', 'link,text,tip', 'Text in a browser\'s status bar when you put a pointer over an item.>>Value \'link\' shows an item link.>>Value \'text\' shows an item text.>>Value \'tip\' shows an item tip.>>With another value shows specified value.'],

];

// this is cross-applivation code for get path prefix for image
function dm_getFileNamesPrefix()
{
  return dm_getParamValue('pathPrefix_img', 'string', '', '', '');
}


function dm_local_getParamsList(globalFilesPath, preview, paramList){
	var popupMode = dm_getParamValue('popupMode', 'boolean', 0, '', '', ['',''], '');
	
	if (popupMode && preview){
		paramList = 'document.write(\'<div style="border:solid 1px gray;position:absolute;width:150px;height:30px;text-align:center;padding:3px;padding-top:9px;font:normal 13px Trebuchet MS, Tahoma" onclick="return dm_popup(0, 1000, event)" >Click me to popup menu</div>\')'
			+ paramList;
	};

	return paramList
}


var createHTML_old = createHTML;
window.createHTML = function(){
	if (!menuIdentifier) return createHTML_old('cssMenu')
	else return createHTML_old();
}

var createCSS_old = createCSS;
window.createCSS = function(preview){
	if (!menuIdentifier) return createCSS_old('cssMenu', preview)
	else return createCSS_old(menuIdentifier, preview);
}



onload = dm_initialize;

function dm_init()
{
  dm_funcName   = '';
}

function apy_init(){
// patch for dhtml menu data files
  dm_funcName   = '';
}

function dm_initFrame()
{
  dm_funcName   = '';
}
