//############################################################################//
//             Copyright (c) 2006, by Deluxe-Menu.com
//             Deluxe Tuner script
//             http://deluxe-menu.com
//             E-mail: support@deluxe-menu.com
//############################################################################//

var dm_tunerParams = [

  ['Common','section','icon_common','1'],
    ['menuIdentifier','string', 	'',  'Menu identifier. >> If you set this parameter then menu items structure will be generated as an HTML unordered list,>><UL><LI> tags, inside HTML page, and data-file script will be saved to data.js in short format.>> If this parameter is not defined the items will be genreated as menuItems[] array in data-file.'],
    ['isHorizontal',  'boolean',    '1', 'Menu orientation: 0 - vertical, 1 - horizontal.'],
    ['smColumns',     'integer-nn', '1', 'Number of columns in submenus.'],
    ['smOrientation', 'boolean',    '0', 'Orientation of submenu: false - vertical (default), true - horizontal.'],
    ['dmRTL',         'boolean',    '0', 'Set this parameter to 1 if you\'re using right-to-left direction of html page (dir=rtl).>>Default is 0.>>Use also subMenuAlign parameter for right-to-left languages.'],

    ['','separator','',''],

    ['pressedItem', 'integer', '-2', 'The toggle mode.>>Sets an index of an item that will be highlighted by default.>>-2 - the toggle mode is disabled;>>-1 - the toggle mode is enabled, but no items highlighted by default;>>0,1,2,3,... - index of highlighted item in a top-menu.'],


  ['Dimensions','section','icon_dimensions',''],
    ['menuWidth',  'integer-percent', '',  'Width of the menu in px, % or other units.>>It\'s recommended to assign a precise value to this parameter for a correct menu positioning in different browsers.'],
    ['menuHeight', 'integer-percent', '',  'Height of the menu in px.>>It\'s recommended to write \'px\' at the end of value.'],
    ['smWidth',    'integer-percent', '',  'Width of all submenus.'],
    ['smHeight',   'integer-percent', '',  'Height of all submenus.'],
    

  ['Positioning','section','icon_positioning',''],
    ['absolutePos', 'boolean',        '0','Sets absolute menu position.>>0 - static positioning (for example, menu can be placed inside a table cell)>>1 - absolute positioning (menu uses absolute coordinates on page).'],
    ['posX',        'integer-percent','0','X coordinate of top-left menu corner. Works if absolutePos is 1.'],
    ['posY',        'integer-percent','0','Y coordinate of top-left menu corner. Works if absolutePos is 1.'],

    ['','separator','',''],

    ['subMenuAlign',  'set', 'left,center,right,pleft,pcenter,pright', 'Submenus horizontal alignment.>>left,center,right - alignment relative to the parent item;>>pleft,pright,pcenter - alignment relative to the parent submenu.'],
    ['subMenuVAlign', 'set', 'top,center,bottom,ptop,pcenter,pbottom', 'Submenus vertical alignment.>>top,center,bottom - alignment relative to the parent item;>>pbottom,pcenter,ptop - alignment relative to the parent submenu.'],
    ['topDX', 'integer', '0',  'X offset for 1st-level submenus.'],
    ['topDY', 'integer', '0',  'Y offset for 1st-level submenus.'],
    ['DX',    'integer', '0', 'X offset for submenus.'],
    ['DY',    'integer', '0',  'Y offset for submenus.'],


  ['Font','section','icon_font',''],
    ['fontStyle',         'font-array',  ['normal 11px Trebuchet MS, Tahoma, Arial', 'normal 11px Trebuchet MS, Tahoma, Arial'] ,    'Normal and mouseover font style.'],
    ['fontColor',         'color-array', ['#000000','#FFFFFF'], 'Normal and mouseover font colors.'],
    ['fontDecoration',    'set-array',   ['none,underline,line-through,overline','none,underline,line-through,overline'], 'Normal and mouseover font decorations.'],
    ['fontColorDisabled', 'color',       '#AAAAAA', 'Font color for a disabled item.>>The item is disabled when its target is \'_\''],

  ['Appearance','section','icon_appearance',''],
    ['menuBackColor',  'color', '#FFFFFF', 'Background color of the menu and all submenus.'],
    ['menuBackImage',  'image', '', 'Background image for the menu and all the submenus.'],
    ['menuBackRepeat', 'set',   'repeat,repeat-x,repeat-y,no-repeat', 'Repeating of background of the menu and all the submenus.'],

    ['','separator','',''],

    ['menuBorderColor',  'color',      '#999999',  'Border color of the menu and all the submenus.'],
    ['menuBorderWidth',  'integer-percent', '1',        'Border width for the menu and all the submenus.'],
    ['menuBorderStyle',  'set',        'solid,none,double,dotted,dashed,groove,ridge', 'Border style for the menu and all the submenus.'],
	
    ['','separator','',''],
	['smFrameImage',  'image', '', 'Composite frame image for all the submenus.'],
	['smFrameWidth',  'integer-nn', '0', 'Frame width for all the submenus.'],
	
	

  ['Item Appearance','section','icon_item_appearance',''],
    ['itemBackColor', 'color-array', ['#FFFFFF','#4792E6'], 'Normal and mouseover background colors of items.'],
    ['itemBackImage', 'image-array', ['',''], 'Normal and mouseover background images of items.'],
	['itemSlideBack', 'integer-nn', 0, 'Sliding background shift'],

    ['','separator','',''],

    ['itemBorderWidth', 'integer-percent',  '0', 'Width of items\' border.'],
    ['itemBorderColor', 'color-array', ['#6655FF','#665500'], 'Normal and mouseover border colors.'],
    ['itemBorderStyle', 'set-array',   ['none,solid,double,dotted,dashed,groove,ridge','none,solid,double,dotted,dashed,groove,ridge'], 'Normal and mouseover styles of items\' border.'],

    ['','separator','',''],
    
    ['itemSpacing',   'integer-nn',      '1',   'Item spacing.'],
    ['itemPadding',   'integer-percent', '3px', 'Item padding.>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],

    ['','separator','',''],

    ['itemAlignTop',  'set', 'left,center,right', 'Text alignment for top items.'],
    ['itemAlign',     'set', 'left,center,right', 'Text alignment for submenu items.'],
	
    ['','separator','',''],
	
    ['itemCursor',  'set',     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize', 'Items cursor.'],

  ['Item Icons','section','icon_icons',''],
    ['iconTopWidth',  'integer-nn', '24', 'Width of icons for top-level items.'],
    ['iconTopHeight', 'integer-nn', '24', 'Height of icons for top-level items.'],
    ['iconWidth',     'integer-nn', '16', 'Width of icons for submenu items.'],
    ['iconHeight',    'integer-nn', '16', 'Height of icons for submenu items.'],

    ['','separator','',''],

    ['arrowImageMain', 'image-array', ['',''], 'Normal and mouseover arrow images for top-level items.'],
    ['arrowWidth',     'integer-nn',  '9', 'Width of arrow icons.'],
    ['arrowHeight',    'integer-nn',  '9', 'Height of arrow icons.'],
    ['arrowImageSub',  'image-array', ['',''], 'Normal and mouseover arrow images for submenu items.'],
    ['arrowWidthSub',  'integer-nn',  '0', 'Width of arrow icons for submenu items. >>if zero then equal arrowWidth.'],
    ['arrowHeightSub', 'integer-nn',  '0', 'Height of arrow icons for submenu items. >>if zero then equal arrowHeight.'],

  ['Separators','section','icon_separators',''],
    ['separatorImage',     'image',           '',                  'Separator\'s image.'],
	['separatorColor',     'color',           '',                  'Separator\'s color.'],
    ['separatorWidth',     'integer-percent', '100%',              'Width of a horizontal separator (in px, %).'],
    ['separatorHeight',    'integer-percent', '3',                 'Height of a horizontal separator (in px).'],
    ['separatorAlignment', 'set',             'left,center,right', 'Alignment of a horizontal separator.'],

    ['','separator','',''],

    ['separatorVImage',  'image',           '',     'Vertical separator\'s image.'],
	['separatorVColor',  'color',           '',     'Vertical Separator\'s color.'],
    ['separatorVWidth',  'integer-percent', '3',    'Width of a vertical separator (in px).'],
    ['separatorVHeight', 'integer-percent', '100%', 'Height of a vertical separator (in px, %).'],
    
    ['','separator','',''],

    ['separatorPadding',  'integer-percent', '0px', 'Separators\' padding.>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],


  ['Transitional Effects & Sound', 'section', 'icon_effects',''],
    ['transparency',   'percent', '100', 'Transparency of submenu in %.'],
    ['transition',     'effect',  '-1',  'Index of a transitional effect. To turn off transitional effects set it to \'-1\''],
    ['transOptions',   'string',  '',    'Additional parameters for transitional effects.>>These options are applied for effects with index higher than 24.', '../../help/transitions.html'],
    ['transDuration',  'integer', '300', 'Delay of a transitional effect (in ms) on submenu\'s showing.'],
    ['transDuration2', 'integer', '200', 'Delay of a transitional effect (in ms) on submenu\'s hiding.'],

    ['','separator','',''],

    ['shadowLen',   'integer',    '0',       'Length of a shadow.'],
    ['shadowColor', 'color',      '#000000', 'Shadow color.'],
    ['shadowTop',   'boolean',    '0',       'A shadow for a top-menu: 0 - disabled, 1 - enabled.'],

    ['','separator','',''],

    ['onOverSnd',  'sound', '',  'mouse over sound'],
    ['onClickSnd',  'sound', '',  'mouse click sound'],

  ['CSS Support (CSS-based Menu)', 'section', 'icon_css_mode',''],
    ['cssSubmenu',  'string',  '',  'CSS class name for submenus.>>Note: CSS class won\'t apply in Deluxe Tuner, you can only set class names here. You should create the page with CSS styles and test the menu within this page.'],
    ['cssItem',     'string-array',  ['',''],  'Normal and mouseover CSS class names for items.>>Note: CSS class won\'t apply in Deluxe Tuner, you can only set class names here. You should create the page with CSS styles and test the menu within this page.'],
    ['cssItemText', 'string-array',  ['',''],  'Normal and mouseover CSS class names for a text of items.>>Note: CSS class won\'t apply in Deluxe Tuner, you can only set class names here. You should create the page with CSS styles and test the menu within this page.'],

  ['Floatable Menu','section','icon_floatable',''],
    ['floatable',      'integer-nn', '0', 'Creates a floatable menu - when the page is scrolled the menu remains visible.>>0 - disabled, 1 - enabled, 2 - your menu will save it\'s position relative to the window.'],
    ['floatIterations','integer-nn', '6', 'Sets a floatation speed.>>The less the value is the more the speed is.'],
    ['floatableX',     'boolean',    '1', 'Set a floatable ability for the menu along X axe.>>0 - disabled, 1 - enabled (default).'],
    ['floatableY',     'boolean',    '1', 'Set a floatable ability for the menu along Y axe.>>0 - disabled, 1 - enabled (default).'],
    ['floatableDX',    'integer-nn', '15', 'Set minimal space for window border.'],
    ['floatableDY',    'integer-nn', '15', 'Set minimal space for window border.'],

  ['AJAX-like Technology','section','icon_ajax',''],
    ['dmAJAX',      'boolean', '0', 'AJAX-like technology allows to load data for submenus \'on-the-fly\' from the server.>>0 - disabled (default), 1 - enabled.>>Supported browsers (Windows OS):>>IE5+, Firefox, Mozilla, Netscape 7+, Opera 8+.'],
    ['ajaxReload',  'boolean', '0', 'always reload ajax submenu when re-call'],

  ['Advanced Features','section','icon_special',''],
	['saveNavigationPath', 'boolean', '1', 'The menu keeps items highlighted during menu navigation.>>0 - disabled, 1 - enabled (default).'],
    ['noWrap',         'boolean', '1', 'A wordwrap for items\' text.>>0 - disabled, 1 - enabled (default).'],
	
    ['','separator','',''],

    ['showByClick',    'boolean', '0', 'Show submenus on a mouse click only.>>0 - disabled (default), 1 - enabled.'],
    ['smShowPause',    'integer-nn', '200',  'When mouse pointer is over the menu item - a delay (in ms) after that submenu will be shown.'],
    ['smHideOnClick',  'boolean', '1', 'Hides submenus on item click.>>0 - disabled, 1 - enabled (default).'],
    ['smHidePause',    'integer-nn', '1000',  'A delay (in ms) between mouse is moved from submenu and its closing.>>if smHidePause = "-1" your submenus won\'t be hidden till you click or scroll the page'],
	
    ['','separator','',''],
    ['smSmartScroll',  'boolean', '1', 'Enables/disables smart scrolling of big submenus.>>0 - disabled, 1 - enabled (default).'],
    ['topSmartScroll', 'boolean', '0', 'Enables/disables smart scrolling of top menu.>>0 - disabled, 1 - enabled (default).'],
//    ['onHideEvent',    'string',  '' , 'ontains name of the function which will run when submenu is closed. Example:>>    var onHideEvent="onHideMenu"; ']

    ['','separator','',''],

    ['dm_writeAll',    'boolean', '0', 'It\'s recommended to set this parameter to 1 when you\'re modifying your menu \'on-the-fly\' using Javascript API>>(var dynamic=1).>>Set it to 0 if you have a big menu - it\'ll increase loading speed.>>Default is 0.'],
    ['dmObjectsCheck', 'boolean', '0', 'Checking of intersection with selects, iframes, flash movies, etc.>>0 - disabled (default), 1 - enabled.'],
    ['useIFRAME',      'boolean', '0', 'Always use Iframe with the menu. It helps to overlap non-ordinary objects correctly.'],

    ['','separator','',''],
	
	['popupMode',      'boolean', 0,  'Popup mode.>>Create right click menu for your pages.>>You can assign such a menu to any event of an object: on mouseover, on click, on double click, instead of a standard menu of a browser, etc.>>To enable Popup mode set this parameter to 1.'],
    ['dynamic',        'boolean', '0', 'Dynamic functions support.>>Deluxe Menu has external Javascript functions that allow you to change the menu \'on the fly\'.>>To enable dynamic functions set this parameter to 1.'],

    ['','separator','',''],
	
    ['keystrokes',     'boolean', '0', 'Keystrokes support.>>0 - disabled (default), 1 - enabled.>>Ctrl+F2 - enter the menu/switch to next menu on the page.>>Arrow keys - navigate.>>Enter - activate items.>>Esc - exit the menu.>>>>Notice: keystrokes don\'t work in Deluxe Tuner (Windows exe-application), they will work in a browser.'],
    ['dm_focus',       'boolean', '1', 'Show focus selection for selected item.'],
    ['dm_actKey',      'integer-nn', '113',  'Key code for keystrokes activation.>>Works with Ctrl key only.>>Default value is 113 = F2 key.>>114 = F3 key>>115 = F4 key>>etc.'],

    ['','separator','',''],

    ['pathPrefix_img', 'string',  '', 'Path prefix for menu images.>>This string will be added for all image paths in the menu.'],
    ['pathPrefix_link','string',  '', 'Path prefix for menu links.>>This string will be added for all links in the menu.'],

	
  ['Movable Menu','section','icon_movable',''],
    ['movable',        'boolean','0','Creates a movable menu - you can use a mouse to move a menu as a usual window.'],
    ['moveWidth',      'integer-nn', '12', 'Width of the drag spacer.'],
    ['moveHeight',     'integer-nn', '20', 'Height of the drag spacer.'],
    ['moveColor',      'color',      '#AA0000', 'Background color of the drag spacer.'],
    ['moveImage',      'image','','Image of the drag spacer.'],
    ['moveCursor',     'set', 'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize', 'Cursor type when you mouseover the drag spacer.'],

    ['','separator','',''],

    ['smMovable',      'boolean', '0', 'Enables MS Office toolbar-like mode - you can drag submenus and separate them from the parent ones.'],
    ['closeBtnW',      'integer-nn', '0', 'Width of a close-button for submenus..'],
    ['closeBtnH',      'integer-nn', '0', 'Height of a close-button for submenus..'],
    ['closeBtn',       'image',   '',  'Image for a close-button for submenus.'],

    ['','separator','',''],
    ['blankImage',     'image',   'blank image filename', 'Path to a blank image. Usually it\'s a GIF image with a transparent background, size 1x1 px.'],

  ['Deprecated Features','section','icon_special',''],

    ['beforeItemImage',  'image-array', ['',''],  'Left-side image for normal and mouse over state.'],
    ['afterItemImage',  'image-array', ['',''],  'Right-side image for normal and mouse over state.'],
    ['beforeItemImageW', 'integer-nn', '', 'Width of the left-side image.'],
    ['afterItemImageW', 'integer-nn', '', 'Width of the right-side image.'],
    ['beforeItemImageH', 'integer-nn', '', 'Height of the left-side image.'],
    ['afterItemImageH', 'integer-nn', '', 'Height of the right-side image.'],

    ['','separator','',''],
    ['statusString', 'set-add', 'link,text,tip', 'Text in a browser\'s status bar when you put a pointer over an item.>>Value \'link\' shows an item link.>>Value \'text\' shows an item text.>>Value \'tip\' shows an item tip.>>With another value shows specified value.'],
    ['itemTarget',  'set-add', '_self,_blank,_top,_parent,_search', 'Default target for all menu items.>>You can also set a frame name.'],
    ['dmSearch',    'integer-nn', '0', 'Using search function: 0-no search 1-ordinary search 2-recursive>>Add item with empty text and add the following code into Link field:>>search:value=\'search...\' style=\'border:1px;width:60px;height:14;font-size:10px;\''],


  ['Registration keys','section','icon_keys',''],
    ['keys', 'reg-keys', '', 'Registration keys.'],

  ['_nos',                  'hidden', ,  ''],
  ['dm_ext_ruleObjectHide', 'hidden', ,  '']

];

// this is cross-applivation code for get path prefix for image
function dm_getFileNamesPrefix()
{
  return dm_getParamValue('pathPrefix_img', 'string', '', '', '');
}


function dm_local_getParamsList(globalFilesPath, preview, paramList){
	var popupMode = dm_getParamValue('popupMode', 'boolean', 0, '', '', ['',''], '');
	
	if (popupMode && preview){
		paramList = 'if (!window[\'dm_local_getParamsList\']) document.body.innerHTML += \'<div style="border:solid 1px gray;position:absolute;width:150px;height:30px;text-align:center;padding:3px;padding-top:9px;font:normal 13px Trebuchet MS, Tahoma" onclick="return dm_popup(0, 1000, event)" >Click me to popup menu</div>\''
			+ paramList;
	};

	return paramList
}



// function for correct loaded params
// i.e. redefine old format params and rederect old parameters to new
var dm_correctLoadedParams_old = dm_correctLoadedParams;
window.dm_correctLoadedParams = function (){
	// upgrade from 3.9 -> 3.10
	if (typeof LIitems != 'undefined'){
		if (LIitems) menuIdentifier = 'deluxeMenu';
	};

	dm_correctLoadedParams_old();
}


var createHTML_old = createHTML;
window.createHTML = function(){
	var htmlCode = 	'<!-- Code for Deluxe Menu Items. Generated by Deluxe Tuner -->\n';
	if (!menuIdentifier){
		htmlCode += '<style>.dmlinks{display:none}</style>\n';
		htmlCode += '<div class="dmlinks" style="'+dm_getMenuFontStyle()+'">\n';
		htmlCode += createHTML_old();	/* result html code */
		htmlCode +=	'</div>\n';
	}
	else 
		htmlCode += createHTML_old();	/* result html code */
	
	htmlCode +=	'<!-- End of Code for Deluxe Menu Items -->';
	
	return htmlCode;
}



onload = dm_initialize;

function dm_init()
{
  dm_funcName   = 'dm_init';
  dm_funcParams = dm_init.arguments;
}

function apy_init(){
// patch for dhtml menu data files
  dm_funcName   = 'dm_init';
  dm_funcParams = apy_init.arguments;
}

function dm_initFrame()
{
  dm_funcName   = 'dm_initFrame';
  dm_funcParams = dm_initFrame.arguments;
}

// export shot data-file (with out item list)
function dm_shortDataFile(){
	return !!dm_getParamValue('menuIdentifier', 'string', '', '', '', ['',''], '');
}
