//############################################################################//
//             Copyright (c) 2006, by Deluxe-Menu.com
//             Deluxe Tuner script
//             http://deluxe-menu.com
//             E-mail: support@deluxe-menu.com
//############################################################################//


// -------------------------------------
// --------- interface section ---------
// -------------------------------------

var dm_tunerParams = [
  ['Common','section','icon_common','1'],
    ['winID',       'string',    'window1', 'Window id.'],
    ['winContent',  'content', 'simple text', 'Type of window content (iframe,id,text).'],
    ['title',       'string',    'Your window title', 'Your window title.'],

  ['Actions','section','icon_special','1'],
    ['openAfter',   'integer', '',  'Open after time (secs).'],
    ['onePerSession', 'boolean',  0,  'Open window once per session.'],	
    ['',            'separator','',''],

    ['onMouseOver', 'string',  '',  'Id of object that is to be pointed at in order to open the window.'],
    ['onMouseOut',  'string',  '',  'Id of object that is to be mouse moved out in order to open the window.'],
    ['onClick',     'string',  '',  'Id of object that is to be clicked at in order to open the window.'],

    ['','separator','',''],
    ['closeAfter',  'integer', '',  'Close after time (secs).'],
	
  ['Size and position','section','icon_special','1'],
    ['width',       'integer', 200,  'Window width.'],
    ['height',      'integer', 100,  'Window height.'],
	['vAlign',      'set-add', 'top,middle,bottom', 'Vertical align'],
	['hAlign',      'set-add', 'left,center,right', 'Horizontal align'],

    ['','separator','',''],
    ['fullscreen',  'boolean', 0, 'Maiximize window on full screen.'],
    ['minimizable', 'boolean', 1, 'Window can be minimized.'],
	['closable',    'boolean', 1, 'Window can be closed.'],
    ['resizable',   'boolean', 1, 'Window can be resized.'],

  ['Appearance','section','icon_special','1'],
    ['scrollbars',  'boolean', 1, 'Window has scrollbars.'],
	['moveEffect',  'set',     ',top,left,middle,bottom', 'Window is sliding.'],
	['fadeEffect',  'boolean', 1,  'Change transparency.'],
	['opacity',     'integer', 100,  'Transparency value (1-100).'],
	['floatable',   'boolean', 1, 'Creates a floatable window - when the page is scrolled the window remains visible.'],
	['modal',       'boolean', 0, 'Creates a modal window - when a window displayed, it is not be possible to click anywhere on the page.'],

    ['skin',        'hidden', '',  ''],
    ['skinJS',      'hidden-file', '',  ''],
    ['skinCSS',     'hidden-file', '',  ''],	
	['skinFiles',   'hidden-file', '',  ''],
  ['Registration keys','section','icon_keys',''],
    ['keys', 'reg-keys', '', 'Registration keys.']
  ];

/**
* this is cross-application code for get path prefix for image
*/
function dm_getFileNamesPrefix()
{
  return '';//dm_getParamValue('pathPrefix_img', 'string', '', '', '');
}

/**
 * get content type
 */
function dm_getContentType(){
	var cont = dm_getParamValue('winContent', 'string', '', '', '')
	var cont = /(text|iframe|id)\:(.*)/.exec(cont);
	return cont[1];
}


/**
* Returns all file paths in params (makes absolute paths)
*/


/**
*  Loads parameters variables from specified script code
*/
function dm_loadParams(script, itemsName, stylesName0, stylesName1, isTemplate)  // used by Tuner
{
	var pName, pType, pValue;

	// predefine vars
	/*for (var i=0; i<dm_tunerParams.length; i++)
	{
		pType = dm_getParam(i,1);
		if (pType && pType!='separator' && pType!='section')
		{
			pName     = dm_getParam(i,0);
			pDefValue = dm_getParam(i,2);
			
			dm_setParam(i, pName, pType, pDefValue);// set default
		}
	};*/

	window.scriptParams = {};
	eval(script); //.split('\\').join('\\\\').split('\\\'').join('\\\\\'')

	// get HTML content
	scriptParams['winContent'] = scriptParams['contentType'] + ':' + scriptParams['content'];
	if (scriptParams['contentType']=='text')
		HTMLcontent = scriptParams['content'];
	

	canModify = false;
	for (var i=0; i<dm_tunerParams.length; i++)
	{
		pType = dm_getParam(i,1);
		if (pType && pType!='separator' && pType!='section')
		{
			pName = dm_getParam(i,0);
			pValue = scriptParams[pName];
//          eval('pValue = ' + pName + ';');        // set pValue value
		
			if (pValue!=undefined){
				dm_setParam(i, pName, pType, pValue);
			}
		}
	}
	canModify = true;

	//--- Load keys - coped from interactive.js
	if (!isTemplate)
	{
      dm_keys = [];
      if (typeof(key)!='undefined')
      {
          dm_keys[0] = key;
          kInd=1;
          while (eval('typeof(key'+kInd+')!="undefined"'))
          {
              eval('dm_keys['+kInd+']=key'+kInd+';');
              kInd++;
          }
      }
	}
};

/**
* get parameters list (used by Tuner)
* @globalFilesPath - path for images and other file parameters
* @preview - do not show hidden param such as popupMode
* Returns parameters list for data file
*/
function dm_getParamsList(globalFilesPath, preview)
{
	// create parameters list
	var paramList = '';
	var cont=[];

	// get tuner params to "params" variable
	var params={};
	var paramOpen=false;
	for (var i=0; i<dm_tunerParams.length; i++)
	{
		pType = dm_getParam(i,1);
		var paramLine='';
		var isParam=false;

		if (pType && pType!='separator' && pType!='section'&& pType!='reg-keys')
		{
			pName     = dm_getParam(i,0);
			pValue	  = dm_getParamValue(pName, pType, '', globalFilesPath, '"', ['[',']'], ',\n\t\t');

			/* correct some parameters value */
			if (pName == 'winContent'){
				// get content
				pValue	  = dm_getParamValue(pName, pType, '', globalFilesPath, '', ['',''], '');
				cont = /(text|iframe|id)\:(.*)/.exec(pValue);
				paramLine += '\tcontent:"'+cont[2]+'"';
				paramLine += ',\n\tcontentType:"'+cont[1]+'"';
				isParam = true
			}
			/* if openAfter is null, window must be open in tuner without fail */
			else if (pName == 'openAfter' && pValue=='""' && preview){

			}
			else{
				paramLine += '\t'+pName + ':' + pValue;
				isParam = true
			};

			params[pName]=pValue;
		}
		else if(pType=='section' && dm_getParam(i,0) !='Registration keys'){
			pName     = dm_getParam(i,0);
			paramLine += '\n\t//' + pName+'\n';
		}
		else if(pType=='separator'){
			paramLine += '\n';
		};
		
		if (paramOpen && paramLine) {
			paramList+=',\n';
		};
		paramList += paramLine;
		paramOpen = isParam;
	};

	/* window must be open in tuner without fail, set openAfter if no other parameters not open it */
	if (params['openAfter']=='""' && preview){
		paramList += ',\n\topenAfter:' + (params['onClick']!='""' || params['onMouseOver']!='""' || params['onMouseOut']!='""'? '""': 1) + '\n';
	};
	
	paramList = 'dw_init({' + paramList + '});';

	// create additional object to test window
	addedObject=[];
	function dw_addObject(id){
		if (!id || addedObject[id]) return '';
		else{
			addedObject[id] = 'document.write(\'<div style = "margin: 10px; width:200px; border:solid 1px red; font-weight:bold;" id = "'+id+'">This is test object with id = "'+id+'"</div>\');'+dm_getLineEnd();
			return addedObject[id]}
	}
	if (preview){
		if (cont[1]=='id') paramList = dw_addObject(cont[2])+ paramList;
		paramList = dw_addObject(dm_getParamValue('onClick', 'string', '', globalFilesPath, '', ['',''], ''))+ paramList;
		paramList = dw_addObject(dm_getParamValue('onMouseOver', 'string', '', globalFilesPath, '', ['',''], ''))+ paramList;
		paramList = dw_addObject(dm_getParamValue('onMouseOut', 'string', '', globalFilesPath, '', ['',''], ''))+ paramList;
	}

	

	return paramList;
}


var dmDeluxeTuner = 0;
var HTMLcontent  = '';


// -------------------------------------
// ---------  pravate section  ---------
// -------------------------------------

function dw_init(params){
	window.scriptParams = params;
}



// -------------------------------------
// -----------  run section  -----------
// -------------------------------------

onload = dm_initialize;
