//############################################################################//
//             Copyright (c) 2006, by Deluxe-Menu.com
//             Deluxe Tuner script
//             http://deluxe-menu.com
//             E-mail: support@deluxe-menu.com
//############################################################################//

var dm_tunerParams = [

  ['Common','section','icon_common','1'],
    ['bblankImage',      'image',      'blank image filename', 'Path to a blank image. Usually it\'s a GIF image with a transparent background, size 1x1 px.'],
    ['bitemCursor',      'set',        'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize', 'Tabs cursor.'],
    ['bselectedItem',    'integer-nn', '1',  'Index of selected item by default, >=0.'],
	['bshowOnOver',     'boolean',    '0',  'Show tabs and submenu on mouse over.'],

  ['Dimensions','section','icon_dimensions',''],
    ['bmenuWidth',  'integer-percent', '250',  'Width of the menu in px, % or other units.>>It\'s recommended to assign a precise value to this parameter for a correct menu positioning in different browsers.'],
    ['bmenuHeight', 'integer-percent', 'auto', 'Height of the menu (top tabs) in (px, % or other units).>>"auto" - the menu sets its height automatically.>>If the value is small - scrollbars appear.'],

  ['Positioning','section','icon_positioning',''],
    ['babsolute', 'boolean',         '0', 'Sets absolute menu position.>>0 - static positioning (for example, menu can be placed inside a table cell)>>1 - absolute positioning (menu uses absolute coordinates on page).'],
    ['bleft',     'integer-percent', '0', 'X coordinate of top-left menu corner. Works if tabsolute is 1.'],
    ['btop',      'integer-percent', '0', 'Y coordinate of top-left menu corner. Works if tabsolute is 1.'],

  ['Font','section','icon_font',''],
    ['bfontStyle',        'font-array',  ['normal 11px Trebuchet MS, Tahoma, Arial', '', ''], 'Normal, mouseover and selected font styles.'],
    ['bfontColor',        'color-array', ['#000000','#FFFFFF', '#AA0000'], 'Normal, mouseover and selected font colors.'],
    ['bfontDecoration',   'set-array',   ['none,underline,line-through,overline','none,underline,line-through,overline','none,underline,line-through,overline'], 'Normal, mouseover and selected font decorations.'],

  ['Tab-mode','section','icon_appearance',''],
    ['tabMode', 'boolean', '0', 'Enables tab-mode'],

    ['','separator','',''],

    ['bselectedSmItem',  'integer-nn', '1',  'Selected subtab index by default.>>Index is a tab number in bmenuItems array. Must be >= 0.'],
    ['bsmHeight',        'integer-nn', '16', 'Height of subtabs.>>If value is empty or 0 - sets automatically. Recommended to set an exact value.'],
    ['bsmBackColor',     'color', '#AA0000', 'Background color of subtabs region. If value is empty - background is transparent.'],

    ['','separator','',''],

    ['bsmBorderColor',      'color',      '#FFFFFF',  'Border color of subtabs region.'],
    ['bsmBorderWidth',      'integer-nn', '0',  ' Border width of subtabs region.'],
    ['bsmBorderStyle',      'set',        'solid,none,double,dotted,dashed,groove,ridge', 'Border style of subtabs region.'],
    ['bsmBorderBottomDraw', 'boolean',    '1', 'Draws bottom border of subtabs region.'],

    ['','separator','',''],

    ['bitemTarget',     'set-add', '_self,_blank,_top,_parent,_search', 'Default target for subtabs.>>You can also set a frame name.'],
    ['bsmItemAlign',    'set', 'left,center,right', 'Subtabs text alignment.'],
    ['bsmItemSpacing',  'integer-nn',      '0',   'Space between subtabs.'],
    ['bsmItemPadding',  'integer-percent', '0px', 'Space between subtabs border and subtabs text.>>>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],

  ['Appearance','section','icon_appearance',''],
    ['bmenuBackColor',  'color', '#FFFFFF', 'Background color for the menu.'],
    ['bmenuBackImage',  'image', '',        'Background image for the menu.'],

    ['','separator','',''],

    ['bmenuBorderColor',  'color',      '#FFFFFF',  'Border color for the menu.'],
    ['bmenuBorderWidth',  'integer-nn', '1',        'Border width for the menu.'],
    ['bmenuBorderStyle',  'set',        'solid,none,double,dotted,dashed,groove,ridge', 'Border style for the menu.'],

  ['Tabs Appearance','section','icon_item_appearance',''],
    ['bbeforeItemSpace',  'integer-nn',  '10',         'Space before tab text.'],
    ['bafterItemSpace',   'integer-nn',  '10',         'Space after tab text.'],

    ['','separator','',''],

    ['bitemBackColor',    'color-array', ['#24B327','#83D83D','#B79A15'],  'Normal, mouseover and selected background colors of items.'],
    ['bitemBorderColor',  'color-array', ['#000000','#AA0000', '#000000'], 'Normal, mouseover and selected border colors for tabs.'],
    ['bitemBorderWidth',  'integer-nn',  '1',                              'Border width for tabs.'],
    ['bitemBorderStyle',  'set-array',   ['solid,none,double,dotted,dashed,groove,ridge','solid,none,double,dotted,dashed,groove,ridge','solid,none,double,dotted,dashed,groove,ridge'], 'Normal, mouseover and selected border styles for tabs.'],

    ['','separator','',''],
    
    ['bitemAlign',    'set',             'left,center,right', 'Text alignment for tabs.'],
    ['bitemSpacing',  'integer-nn',      '1',                 'Tabs spacing.'],
    ['bitemPadding',  'integer-percent', '3px',               'Tabs padding.>>You can also set multiple values, for example:>>\'10px 15px 10px 5px\';>>(top, right, bottom, left).'],
    ['browSpace',     'integer-nn',      '0',                 'Space between tab rows.'],

  ['Tabs Images','section','icon_item_images',''],

    ['bitemBackImage',      'image-array', ['','',''],   'Tab background images: normal state, mouse over state, selected tab state.'],
    ['bbeforeItemImage',    'image-array', ['','',''],   'Tab left-side image: normal state, mouse over state, selected tab state.'],
    ['bafterItemImage',     'image-array', ['','',''],   'Tab right-side image: normal state, mouse over state, selected tab state.'],

    ['','separator','',''],

    ['bbeforeItemImageW', 'integer-nn',  '12', 'Width of left-side image. Recommended to set an exact value.'],
    ['bbeforeItemImageH', 'integer-nn',  '22', 'Height of left-side image. Recommended to set an exact value.'],
    ['bafterItemImageW',  'integer-nn',  '12', 'Width of right-side image. Recommended to set an exact value.'],
    ['bafterItemImageH',  'integer-nn',  '22', 'Height of right-side image. Recommended to set an exact value.'],

  ['Icons','section','icon_icons',''],
    ['biconWidth',  'integer-nn',  '16',         'Width of icons.'],
    ['biconHeight', 'integer-nn',  '16',         'Height of icons.'],
    ['biconAlign',  'set',         'left,right', 'Alignment of icons.'],

  ['Separators','section','icon_separators',''],
    ['bseparatorWidth',     'integer-percent', '100%', 'Separator item width.>>This item is used as a space between groups of tabs.>>Separator is item with "-" text.'],

  ['Transitional Effects', 'section', 'icon_effects',''],
    ['btransition',    'effect',  '24',  'Index of a transitional effect.'],
    ['btransOptions',  'string',  '',    'Additional parameters for transitional effects.>>These options are applied for effects with index higher than 24.', '../../help/transitions.html'],
    ['btransDuration', 'integer', '300', 'Delay of a transitional effect (in ms).'],

  ['Floatable Menu','section','icon_floatable',''],
    ['bfloatable',       'boolean',    '0', 'Creates a floatable menu - when the page is scrolled the menu remains visible.>>0 - disabled, 1 - enabled.'],
    ['bfloatIterations', 'integer-nn', '6', 'Sets a floatation speed.>>The less the value is the more the speed is.'],

  ['Registration keys','section','icon_keys',''],
    ['keys', 'reg-keys', '', 'Registration keys.'],
  ['_nos',       'hidden', ,  '']
];


function dm_getFileNamesPrefix()
{
  return '';
}

function dtabs_init()
{
  dm_funcName   = 'dtabs_init';
  dm_funcParams = dtabs_init.arguments;
}

function apy_tabsInit()
{
  dm_funcName   = 'dtabs_init';
  dm_funcParams = dtabs_init.arguments;
}


function dm_getMenuFontStyle()
{
  var p1 = dm_getParamValue('bfontStyle', 'font-array', 'normal 9pt Trebuchet MS, Tahoma',  '', '', ['',''], '|').split('|')[0];
  var p2 = dm_getParamValue('bfontColor', 'color-array', '#000000',  '', '', ['',''], '|').split('|')[0];
  var p3 = dm_getParamValue('bfontDecoration', 'set-array', 'none',  '', '', ['',''], '|').split('|')[0];
  return 'font:'+p1+';color:'+p2+';text-decoration:'+p3;
}


onload = dm_initialize;
