//############################################################################//
//             Copyright (c) 2006, by Deluxe-Menu.com
//             Deluxe Tuner script
//             http://deluxe-menu.com
//             E-mail: support@deluxe-menu.com
//############################################################################//

var itemParamsCnt = 8;


//############################################################################//
//  Functions for item params
//############################################################################//

var setFromTuner = false;

//  [text, link, iconNormal, iconOver, iconExpanded, tip, target, itemStyleInd, itemXPStyleInd, ajax]
var hints = [
    ['trText',      '  Item text.\n\nSet \'+\' symbol at the beginning of this value to expand item by default.\nSet \'#\' symbol at the beginning of this value to hide item by default.'],
    ['trLink',        'Item link (URL).\nYou can also assign Javascript code to item using prefix \'javascript:\', for example:\n\n\javascript:alert(\'Hello!\')'],
    ['trTarget',      'Item target.\nYou can select standard target value or set your own value, for example, frame name.\n\nIf target is \'_\' item is disabled.'],
    ['trTip',         'Hint message.'],
    ['trIcon',        'Item\'s icon in collapsed item state.'],
    ['trIconOver',    'Item\'s mouseover icon in collapsed item state.'],
    ['trIconExpanded','Item\'s icon in expanded item state.'],
    ['trItemStyle',   'Individual item style.'],
    ['trSmStyle',     'Individual submenu style (works when XP-style is enabled, tXPStyle=1).\n\nThis style can be assigned to the submenu\'s title.'],
    ['trAJAX',        'Javascript filename that contains menuItems for the subitems that will be loaded from server.']
];

window.onload = assignHints;

function assignHints()
{
  for (var i=0; i<hints.length; i++)
      document.getElementById(hints[i][0]).title = hints[i][1];
}


function dm_setItemParams(iText, iLink, iIcon, iIconOver, iIconExpanded, iTip, iTarget, iStyle, iSmStyle, iAJAX)
// Sets item parameters to objects
{
  setFromTuner = true;
  with (document)
  {
      getElementById('itemText_id'  ).value    = iText;
      getElementById('itemLink_id'  ).value    = iLink;
      getElementById('iconNormal_id').value    = iIcon;
      getElementById('iconOver_id'  ).value    = iIconOver;
      getElementById('iconExpanded_id').value = iIconExpanded;
      getElementById('itemTip_id'   ).value    = iTip;
      dm_setParam_setadd('itemTarget', iTarget,5);
      getElementById('itemStyle_id'   ).selectedIndex = iStyle ? iStyle : -1;
      getElementById('submenuStyle_id').selectedIndex = iSmStyle  ? iSmStyle : -1;
      getElementById('AJAX_id'  ).value = iAJAX;
  }
  setFromTuner = false;
}

function dm_getItemParam(paramInd)
// Returns specified item param from object
{
  with (document)
      switch (paramInd)
      {
        case 0: return getElementById('itemText_id').value;
        case 1: return getElementById('itemLink_id').value;
        case 2: return getElementById('iconNormal_id').value;
        case 3: return getElementById('iconOver_id').value;
        case 4: return getElementById('iconExpanded_id').value;
        case 5: return getElementById('itemTip_id').value;
        case 6: return dm_getParam_setadd('itemTarget');
        case 7: return getElementById('itemStyle_id').selectedIndex;
        case 8: return getElementById('submenuStyle_id').selectedIndex;
        case 9: return getElementById('AJAX_id').value;

        default: return '';
      }
}



// get text data for item 
// this need for save it
// !!!! this function dublicate with "..\iparams.js" and redefine it. this need because tree has other params format
// in this function you must define what parameters is path to file
function dm_getItemData(filesPath, itemLvl, pText, p1, p2, p3, p4, p5, p6, p7, p8, p9, p10)
{
  function cp(v)
  {
      return ((typeof(v)!='undefined' && v!=null) ? '"'+v+'", ':', ');
  }

  function setFilePth(fname)
  {
      if (filesPath=='.') return dm_getFileName(fname);
      else                return (filesPath && fname ? filesPath + dm_getFileName(fname) : fname);
  }

  //----------------------------------------------------------
  var specChars='';;
  var lvlStr='', lvlSpace='    ';

  if (pText!='' && pText.charAt(0)=='$')
  {
      specChars += pText.charAt(0);
      pText = pText.substr(1, pText.length-1);
  }

  for (var i=0; i<itemLvl; i++)
  {
      lvlStr += '|';
      lvlSpace += '    ';
  }

  var data = lvlSpace + '[';
  data += '"' + specChars + lvlStr + pText + '",';
  data += '"'+(p1?p1:'')+'", '+cp(setFilePth(p2))+cp(setFilePth(p3))+cp(setFilePth(p4))+cp(p5)+cp(p6)+cp(p7)+cp(p8)+cp(p9);
  data += ']';
  return data;
}

