//############################################################################//
//             Copyright (c) 2006, by Deluxe-Menu.com
//             Deluxe Tuner script
//             http://deluxe-menu.com
//             E-mail: support@deluxe-menu.com
//############################################################################//

var dm_tunerParams = [

  ['Common','section','icon_common','1'],
    ['tlevelDX',         'integer', '20', 'Indent for each level of items.'],
    ['texpanded',        'boolean', '1', 'Expands all menu by default.>>0 - don\'t expand items;>>1 - expands all menu items by defaults.>>To expand a separate item by default add \'+\' symbol before item\'s text using "Item parameters" window.'],
    ['texpandItemClick', 'boolean', '0',  '0 - expand items on a expand-button click only;>>1 - expand items on a mouse click. '],
    ['tcloseExpanded',   'boolean', '0', 'Enables the mode when 1 item only can be expanded.>>0 - disabled, 1 - enabled.'],
    ['tcloseExpandedXP', 'boolean', '1', 'Enables the mode when 1 submenu only can be expanded (when tXPStyle is 1).>>0 - disabled, 1 - enabled.'],

    ['', 'separator', '', ''],

    ['ttoggleMode', 'boolean', '0', 'Enables a toggle-mode.>>0 - disabled;>>1 - items stay highlighted after mouse click.'],

  ['Dimensions','section','icon_dimensions',''],
    ['tmenuWidth',  'integer-percent', '250',  'Width of the menu in px, % or other units.>>It\'s recommended to assign a precise value to this parameter for a correct menu positioning in different browsers.'],
    ['tmenuHeight', 'integer-percent', 'auto', 'Height of the menu in (px, % or other units).>>"auto" - the menu sets its height automatically.>>If the value is small - scrollbars appear.'],

  ['Positioning','section','icon_positioning',''],
    ['tabsolute', 'boolean',         '0', 'Sets absolute menu position.>>0 - static positioning (for example, menu can be placed inside a table cell)>>1 - absolute positioning (menu uses absolute coordinates on page).'],
    ['tleft',     'integer-percent', '0', 'X coordinate of top-left menu corner. Works if tabsolute is 1.'],
    ['ttop',      'integer-percent', '0', 'Y coordinate of top-left menu corner. Works if tabsolute is 1.'],

  ['Menu Appearance','section','icon_appearance',''],
    ['tmenuBackColor',  'color', '#FFFFFF', 'Background color of the menu.'],
    ['tmenuBackImage',  'image', '',        'Background image for the menu.'],

    ['','separator','',''],

    ['tmenuBorderColor',  'color',      '#FFFFFF',  'Border color of the menu.'],
    ['tmenuBorderWidth',  'integer-nn', '1',        'Border width for the menu.'],
    ['tmenuBorderStyle',  'set',        'solid,none,double,dotted,dashed,groove,ridge', 'Border style for the menu.'],

  ['Item Appearance & Font','section','icon_item_appearance',''],
    ['tfontStyle',        'font',        'normal 11px Trebuchet MS, Tahoma, Arial',    'Font style.'],
    ['tfontColor',         'color-array', ['#000000','#FFFFFF'], 'Normal and mouseover font colors.'],
    ['tfontDecoration',    'set-array',   ['none,underline,line-through,overline','none,underline,line-through,overline'], 'Normal and mouseover font decorations.'],
    ['tfontColorDisabled', 'color',       '#ACACAC', 'Font color for a disabled item.>>The item is disabled when its target is \'_\''],
    ['tpressedFontColor',  'color',       '#AA0000', 'Color of a text of selected (pressed) items.>>Used when ttoggleMode is 1.'],
    ['','separator','',''],

    ['titemAlign',     'set',         'left,center,right', 'Text alignment for items.'],
    ['titemHeight',    'integer',     '22',                  'Height of items.'],
    ['titemBackColor', 'color-array', ['#FFFFFF','#4792E6'], 'Normal and mouseover background colors of items.'],
    ['titemBackImage', 'image-array', ['',''],               'Normal and mouseover background images of items.'],
    ['', 'separator', '', ''],
	
    ['tnoWrap',     'boolean', '1', 'Enables a word-wrap mode.>>0 - disabled;>>1 - enabled.'],

	
  ['Icons & Buttons','section','icon_icons',''],
    ['ticonWidth',  'integer-nn',  '16',         'Width of icons.'],
    ['ticonHeight', 'integer-nn',  '16',         'Height of icons.'],
    ['ticonAlign',  'set',         'left,right', 'Alignment of icons.'],

    ['','separator','',''],

    ['texpandBtn',      'image-array', ['','',''],   'Images for expand-buttons of items: normal, mouseover, expanded.>>Mouseover image is optional parameter in Tree Menu version 2.0.'],
    ['texpandBtnW',     'integer',     '9',          'Width of expand-buttons.'],
    ['texpandBtnH',     'integer',     '9',          'Height of expand-buttons.'],
    ['texpandBtnAlign', 'set',         'left,right', 'Alignment of expand-buttons.'],

  ['Lines','section','icon_lines',''],
    ['tpoints',       'boolean', '0', 'Enabled lines between menu items>>0 - disabled, 1 - enabled.'],
    ['tpointsImage',  'image',   '',  'Horizontal lines image.'],
    ['tpointsVImage', 'image',   '',  'Vertical lines image.'],
    ['tpointsCImage', 'image',   '',  'Corner lines image.'],
    ['tpointsBImage', 'image',   '',  'Brunch lines image.'],

  ['Floatable Menu','section','icon_floatable',''],
    ['tfloatable',       'boolean',    '0', 'Creates a floatable menu - when the page is scrolled the menu remains visible.>>0 - disabled, 1 - enabled.'],
    ['tfloatIterations', 'integer-nn', '6', 'Sets a floatation speed.>>The less the value is the more the speed is.'],
    ['tfloatableX',      'boolean',    '1', 'Set a floatable ability for the menu along X axe.>>0 - disabled, 1 - enabled (default).'],
    ['tfloatableY',      'boolean',    '1', 'Set a floatable ability for the menu along Y axe.>>0 - disabled, 1 - enabled (default).'],

  ['Movable Menu','section','icon_movable',''],
    ['tmoveable',   'boolean',    '0',       'Creates a movable menu - you can use a mouse to move a menu as a usual window.'],
    ['tmoveHeight', 'integer-nn', '12',      'Height of the drag spacer.'],
    ['tmoveColor',  'color',      '#AA0000', 'Background color of the drag spacer.'],
    ['tmoveImage',  'image',      '',        'Image of the drag spacer.'],

  ['XP-Style','section','icon_xp',''],
    ['tXPStyle',       'boolean',    '0', 'Enables XP-style.>>0 - disabled, 1 - enabled.'],
    ['tXPIterations',  'integer',    '5', 'Animation speed for submenus.>>The less the value is the more the speed is.'],
    ['tXPBorderWidth', 'integer-nn', '1', 'Width (in px) of submenu border.'],
    ['tXPBorderColor', 'color',      '#AFAFAF', 'Border color for submenu.'],
    ['tXPAlign',       'set',        'left,right', 'Alignment of expand-buttons.'],

    ['','separator','',''],

    ['tXPTitleBackColor', 'color',      '#265BCC', 'Background color of submenus title.'],
    ['tXPTitleBackImg',   'image',      '',        'Background image of submenus title.'],
    ['tXPTitleLeft',      'image',      '',        'Left border image of submenus title (used when a title has no icons).'],
    ['tXPTitleLeftWidth', 'integer-nn', '4',       'Width (in px) of left border image of submenus title (tXPTitleLeft). '],

    ['','separator','',''],

    ['tXPIconWidth',  'integer-nn', '30', 'Width of icons within submenus title.'],
    ['tXPIconHeight', 'integer-nn', '32', 'Height of icons within submenus title.'],
    ['tXPMenuSpace',  'integer-nn', '10', 'Space between XP submenu.'],


    ['','separator','',''],

    ['tXPExpandBtn', 'image-array', ['','','',''], 'Images for expand-buttons of submenus title:>>collapsed-normal, collapsed-mouseover,expanded-normal, expanded-mouseover.'],
    ['tXPBtnWidth',  'integer-nn',   '25', 'Width of expand-buttons of submenus title.'],
    ['tXPBtnHeight', 'integer-nn',   '25', 'Height of expand-buttons of submenus title.'],

    ['','separator','',''],

    ['tXPFilter', 'boolean', '1', 'Fade effect for submenus (works in Internet Explorer only).>>0 - disabled, 1 - enabled.'],

  ['Advanced', 'section','icon_dynamic',''],
    ['tdynamic',  'boolean', '0', 'Dynamic functions support.>>Deluxe Tree Menu has external Javascript functions that allow you to change the menu \'on the fly\'.>>To enable dynamic functions set this parameter to 1.'],
    ['tajax',     'boolean', '0', 'AJAX-like technology allows to load data for subitem \'on-the-fly\' from the server.>>0 - disabled (default), 1 - enabled.'],

    ['', 'separator', '', ''],

    ['titemCursor',  'set',     'default,auto,crosshair,pointer,move,text,wait,help,n-resize,ne-resize,nw-resize,s-resize,se-resize,sw-resize,e-resize,w-resize', 'Items cursor.'],
    ['statusString', 'set-add', 'link,text,tip', 'Text in a browser\'s status bar when you put a pointer over an item.>>Value \'link\' shows an item link.>>Value \'text\' shows an item text.>>Value \'tip\' shows an item tip.>>With another value shows specified value.'],
    ['tblankImage',  'image',   'blank image filename', 'Path to a blank image. Usually it\'s a GIF image with a transparent background, size 1x1 px.'],
    ['', 'separator', '', ''],

    ['tpathPrefix_img',   'string',  '', 'Path prefix for menu images.>>This string will be added for all image paths in the menu.'],
    ['tpathPrefix_link',  'string',  '', 'Path prefix for menu links.>>This string will be added for all links in the menu.'],
    ['titemTarget',  'set-add', '_self,_blank,_top,_parent,_search', 'Default target for all menu items.>>You can also set a frame name.'],
	
  ['State Saving','section','icon_ss',''],
    ['tsaveState',  'boolean', '0',     'Saves a menu state.>>0 - disable state saving;>>1 - enable state saving - the menu saves items state for a next visit.'],
    ['tsavePrefix', 'string',  'menu1', 'Special menu prefix, used when state saving is enabled.>>Set individual value for each menu when there are several menus on the page.'],

  ['Registration keys','section','icon_keys',''],
    ['keys', 'reg-keys', '', 'Registration keys.'],

  ['_nos',       'hidden', ,  '']
];


function dm_getFileNamesPrefix()
{
  return dm_getParamValue('tpathPrefix_img', 'string', '', '', '');
}


onload = dm_initialize;

function dtree_init()
{
  dm_funcName   = 'dtree_init';
  dm_funcParams = dtree_init.arguments;
}

function apy_tmenuInit()
{
  dm_funcName   = 'dtree_init';
  dm_funcParams = dtree_init.arguments;
}


function dm_getMenuFontStyle()
{
  var p1 = dm_getParamValue('tfontStyle', 'font', 'normal 9pt Trebuchet MS, Tahoma', '', '');
  var p2 = dm_getParamValue('tfontColor', 'color-array', '#000000',  '', '', ['',''], '|').split('|')[0];
  var p3 = dm_getParamValue('tfontDecoration', 'set-array', 'none',  '', '', ['',''], '|').split('|')[0];
  return 'font:'+p1+';color:'+p2+';text-decoration:'+p3;
}
